Loading...
Searching...
No Matches
rpcbasic_inserter< T, std::complex< double > > Class Template Reference

Specialized inserter class for complex (double) data. More...

`#include <gnuradio/rpcregisterhelpers.h>`

## Public Member Functions

| rpcbasic_inserter (T *source, std::complex< double >(T::*func)() const)
| rpcbasic_inserter (T *source, std::complex< double >(T::*func)())
pmt::pmt_t | retrieve ()
| send `msg` to `msg_producer`
Public Member Functions inherited from rpcinserter_base< T, std::complex< double > >
| rpcinserter_base (T *source, std::complex< double >(T::*func)())
pmt::pmt_t | retrieve () override
| send `msg` to `msg_producer`
Public Member Functions inherited from gr::messages::msg_producer
| msg_producer ()
virtual | ~msg_producer ()

## Additional Inherited Members

Protected Attributes inherited from rpcinserter_base< T, std::complex< double > >
T * | _source
std::complex< double >(T::* | _func )()

## Detailed Description

template<typename T>
class rpcbasic_inserter< T, std::complex< double > >

Specialized inserter class for complex (double) data.

## Constructor & Destructor Documentation

## rpcbasic_inserter() [1/2]

template<typename T>

rpcbasic_inserter< T, std::complex< double > >::rpcbasic_inserter | ( | T * | source,
|  | std::complex< double >(T::* | func )() const )

inline

References rpcinserter_base< T, std::complex< double > >::rpcinserter_base().

## rpcbasic_inserter() [2/2]

template<typename T>

rpcbasic_inserter< T, std::complex< double > >::rpcbasic_inserter | ( | T * | source,
|  | std::complex< double >(T::* | func )() )

inline

References rpcinserter_base< T, std::complex< double > >::rpcinserter_base().

## Member Function Documentation

## retrieve()

template<typename T>

pmt::pmt_t rpcbasic_inserter< T, std::complex< double > >::retrieve | ( |  | ) |

inline virtual

send `msg` to `msg_producer`

Implements gr::messages::msg_producer.

References rpcinserter_base< T, std::complex< double > >::_func, rpcinserter_base< T, std::complex< double > >::_source, pmt::from_complex(), and rpcinserter_base< T, std::complex< double > >::rpcinserter_base().

The documentation for this class was generated from the following file:

- rpcregisterhelpers.h